### Enumeration

# Secret Error

#### Declaration

    enum Secret.Error

#### Description [src]

Errors returned by the Secret Service.

None of the errors are appropriate for display to the user. It is up to the application to handle them appropriately.

Stability: Stable

#### Members

Name | Description
--- | ---
`SECRET_ERROR_PROTOCOL` | Received an invalid data or message from the Secret Service.
`SECRET_ERROR_IS_LOCKED` | The item or collection is locked and the operation cannot be performed.
`SECRET_ERROR_NO_SUCH_OBJECT` | No such item or collection found in the Secret Service.
`SECRET_ERROR_ALREADY_EXISTS` | A relevant item or collection already exists.
`SECRET_ERROR_INVALID_FILE_FORMAT` | The file format is not valid.

#### Type functions

###### secret_error_get_quark

Get the error quark.